from django.contrib.auth import get_user_model
from django.contrib.auth.forms import UserCreationForm
from django import forms


class RegisterForm(UserCreationForm):
    class Meta(UserCreationForm.Meta):
        model = get_user_model()
        fields = (
            'username', 'password1', 
            'password2', 'first_name', 
            'last_name', 'email',
        )


class PrimaryRegisterForm(forms.ModelForm):
    class Meta:
        model = get_user_model()
        fields = (
            'username', 'first_name',
            'last_name', 'email',
        )


class SecondaryRegisterForm(UserCreationForm):
    id = forms.IntegerField(widget=forms.HiddenInput())

    class Meta(UserCreationForm.Meta):
        model = get_user_model()
        fields = ('id', 'password1', 'password2')
